﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;

namespace InnoLabProjektDektopApp.Screens.Templates
{
    /// <summary>
    /// Interaction logic for HeaderTemplate.xaml
    /// </summary>
    public partial class HeaderTemplate : UserControl
    {
        public HeaderTemplate()
        {
            InitializeComponent();
            GlobalSettings.setDefaults(this);
        }

        private void BurgerMenuButton_Click(object sender, RoutedEventArgs e)
        {
            // Toggle the visibility of the menu panel
            MenuPanel.Visibility = MenuPanel.Visibility == Visibility.Visible ? Visibility.Collapsed : Visibility.Visible;
        }

        private void OverviewButton_Click(object sender, RoutedEventArgs e)
        {
            // Navigate to Overview page
            NavigateToPage("Overview");
        }

        private void SessionButton_Click(object sender, RoutedEventArgs e)
        {
            // Navigate to Session page
            NavigateToPage("Session");
        }

        private void EndButton_Click(object sender, RoutedEventArgs e)
        {
            // Navigate to End page
            NavigateToPage("End");
        }

        private void StatisticsButton_Click(object sender, RoutedEventArgs e)
        {
            // Navigate to Statistics page
            NavigateToPage("Statistics");
        }

        private void NavigateToPage(string pageName)
        {
            // Implement your navigation logic here
            MessageBox.Show($"Navigating to {pageName} page.");
            // For example, you might use a Frame to navigate to different pages
        }
    }
}
